# Kubectl

If you are a beginner with Kubernetes and don't want to go in the complexity of Helm, you can use the beloved tool of Kubernetes client like`kubectl`.

#### Create the CRD in Kubernetes cluster

```
kubectl apply -f deploy/crds/redis.opstreelabs.in_redis_crd.yaml
```

#### Configure RBAC for Operator

```
kubectl apply -f deploy/role.yaml
kubectl apply -f deploy/service_account.yaml
kubectl apply -f deploy/role_binding.yaml
```

#### Deploy Operator in Cluster

```
kubectl apply -f deploy/operator.yaml
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opstreelabs.in/redis-operator/installation/kubectl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
